***************************  Unclassified  ****************************
* :nick.WARPDAX     :sec.Unclassified                   :disk.OS2FIXES
* :title.IBM Warp Developer API Extensions for OS/2, WARPDAX
* :version.1.0      :date.96/02/02   :summary.          :support.I
* :oname.Dick Kurtz                  :onode.BCRVM1      :ouser.RRKURTZ
* :aname.Early Jester                :anode.BCRNOTES    :auser.JESTER
* :bname.Mark Rustvold               :bnode.BCRNOTES    :buser.RUSTVOLD
* :updatereason.NEW                  :seccode.UNC
* :hw.IBM 386 PC or compatible
* :sw.
* :ops.os/2                          :lang.             :source.
* :doc.readme.dax
* :appcodes.OS2V2PVT
* :medium.3.5" 1.44M, Binary LOADDF files
* :abs.
*
*          IBM Developer API Extensions for OS/2 README
*          -------------------------------------------------
* This package contains the following files:
*
*     WARPDAX  DOC02BB6  -  Installation instructions
*     DAXINST1 IMG02BB6  -  IBM OS/2 Warp DAPIE Installation disk 1
*     DAXINST2 IMG02BB6  -  IBM OS/2 Warp DAPIE Installation disk 2
*
* The files once downloaded with the binary option, needs to
* be unpacked using LOADDF onto 3.5" 1.44M diskettes.
*
*
*
* The IBM Developer API Extensions for OS/2 provides a
* subset of the WIN32 APIs on OS/2 for source code compatibility,
* enabling the migration of Windows 95 and Windows NT
* applications to OS/2.
*
* This file contains information you need to install the
* IBM Developer API Extensions for OS/2 component, and
* additional information not included in the product documentation.
*
* This README file is divided into the following categories:
*
*   -  Terms and Conditions
*   -  Before You Install the IBM Developer API Extensions for OS/2
*      Software Requirements
*      Software Installer Restriction
*      Creating the Diskettes
*   -  Installing the IBM Developer API Extensions for OS/2
*   -  CID-Enabled Installation
*   -  Uninstalling the IBM Developer API Extensions for OS/2
*   -  Trademarks
*
* Terms and Conditions
* --------------------
* Important - Please read the following terms and conditions.
* Installing the IBM Developer API Extensions for OS/2 component
* indicates your acceptance of the following terms and conditions:
*
*  a)  You may only use the IBM Developer API Extensions for OS/2
*      component if you are a current licensee of OS/2;
*
*  b)  You may make copies of the IBM Developer API Extensions for
*      OS/2 component equal to the number of licensed copies of
*      OS/2 you possess;
*
*  c)  You may only use the service fixes included with FixPak
*      XR_W016 for maintenance purposes;
*
*  d)  You may only use the Win-OS/2 service fixes included with
*      FixPak XR_W016 to maintain copies of OS/2 with Win-OS/2;
*
* e)  If you use the OS/2 updates you agree to destroy all your
*     copies of the code it replaces;
*
* f)  All other terms and conditions of your OS/2 license
*     agreements apply to the IBM Developer API Extensions for
*     OS/2 component; however, this does not extend and
*     warranty and/or services including but not limited to the
*     "Getting Started" period outlined in such agreements.
*
* Before You Install the IBM Developer API Extensions for OS/2
* ------------------------------------------------------------
*
* Software Requirements
* ---------------------
* The OS/2 Warp FixPak XR_W016 must be installed before you
* can install the IBM Developer API Extensions for OS/2.
*
* You need two 1.44 MB, 3.5-inch diskettes to create
* diskette images from daxinst1.img and daxinst2.img.
* You also need 3 MB free on your hard drive.
*
* In order to be able to print using the functions provided by
* the IBM Developer API Extensions for OS/2 you must update
* the printer drivers on your system, which are included in the
* Printer Pak.
*
* Software Installer Restriction
* ------------------------------
* The Software Installer will not display if the environment
* variable "remote_install_state" is in the CONFIG.SYS file
* (outside of a CID install).  If the Software Installer fails
* to display, edit your CONFIG.SYS file.  If the variable exists,
* delete it.  You must reboot your system before continuing
* the installation.
*
* Creating the Diskettes
* ----------------------
* If you downloaded the IBM Developer API Extensions for OS/2
* files from a bulletin board service, you must create the
* DAXINST1 and DAXINST2 diskettes.
*
*   1. Place a 2 MB HD (1.44 MB formatted) diskette in drive A.
*   2. From an OS/2 command prompt, type the following command
*      and then press Enter:
*
*        loaddskf daxinst1.img a:
*
*   3. Remove the diskette and label it DAXINST1 Diskette 1.
*   4. Place another diskette in drive A.
*   5. Type the following command and then press Enter:
*
*        loaddskf daxinst2.img a:
*
*   6. Remove the diskette and label it DAXINST2 Diskette 2.
*
* Installing the IBM Developer API Extensions for OS/2
* ----------------------------------------------------
*
* NOTE: If you have previously installed a beta version of the
* IBM Developer API Extensions for OS/2, the DAX Install Utility
* icon is probably on the Desktop.  If you want to delete the icon
* before installing the new version, display the pop-up menu
* for the icon and then select "Delete."
*
* To install the IBM Developer API Extensions for OS/2
* diskettes, do the following:
*
*  1. Place DAXINST1 Diskette 1 in drive A.
*  2. Type the following command and then press Enter:
*
*        a:install
*
*     (where A is the drive letter of your 3.5-inch diskette
*     drive).
*
*  3. Follow the installation instructions displayed on your
*     screen.
*
* CID-Enabled Installation
* ------------------------
*
* To CID-enable the IBM Developer API Extensions for OS/2
* installation, do the following:
*
*  1. Create a response file that contains the following keywords:
*     ________________________________________________
*     FILE      = X:OS2
*     WORK      = X:OS2DLL
*     COMP      = IBM Developer API Extensions for OS/2
*     CFGUPDATE = AUTO
*     OVERWRITE = YES
*     AUX1      = X:OS2INSTALL
*     ________________________________________________
*
*     where X is the boot drive.
*
*     NOTE: A sample response file, DAPIE.RSP, is provided
*     in the root directory on the diskette, and in the
*     IBMOS2DAPIEPAK directory on the Developer Connection
*     for OS/2 disc 3.
*
*  2. Type the following command-line parameters at an OS/2
*     command prompt to invoke CID:
*
*     INSTALL /A:I
*             /C:<DRIVE:PATHCATALOG.ICF>
*             /L1:<DRIVE:PATHERROR LOG FILE NAME>
*             /L2:<DRIVE:PATHHISTORY LOG FILE NAME>
*             /P:"DAPIE Support"
*             /O:DRIVE
*             /R:<DRIVE:PATHRESPONSE FILE NAME>
*             /S:<DRIVE:SOURCE PATH>
*             /X
*
*  3. To conduct an unattended installation from a redirected
*     network drive, copy the diskettes to any drive, and then run
*     Install from the specified redirected network drive.
*
*  For more information on CID-enabled installation please refer to the
*  "Software Installer Document Version 1.3 for OS/2."
*
* Uninstalling the IBM Developer API Extensions for OS/2
* ------------------------------------------------------
* To uninstall the IBM Developer API Extensions for OS/2, do the
* following:
*
*  1. Start the installation program the same way you did to
*     install the IBM Developer API Extensions for OS/2.
*  2. Select the "Delete the installed product and re-install"
*     option.
*  3. Select the "IBM Developer API Extensions" as the component
*     to delete.
*  4. After the files have been deleted, click on the "Exit"
*     push button.
*
* Trademarks
* ----------
* IBM and OS/2 are trademarks of the IBM Corporation.
*
* Windows is a trademark of Microsoft Corporation.
*
* WIN32 is a trademark of Microsoft Corporation.
*
* Windows 95 and Windows NT are trademarks of Microsoft
* Corporation.
*
* THIS DOCUMENT IS PROVIDED "AS IS" WITHOUT WARRANTY OF
* ANY KIND.  IBM DISCLAIMS ALL WARRANTIES, WHETHER
* EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION,
* THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
* PURPOSE AND MERCHANTABILITY WITH RESPECT TO THE
* INFORMATION IN THIS DOCUMENT.  BY FURNISHING THIS
* DOCUMENT, IBM GRANTS NO LICENSES TO ANY PATENTS OR
* COPYRIGHTS.
*
* (C) Copyright IBM Corporation 1995.  All rights
* reserved.
* :audience.ALLUSERS
***********************************************************************
      WARPDAX  DOC02BB6 *   Installation instructions
      DAXINST1 IMG02BB6 *   IBM OS/2 Warp DAPIE Installation disk 1
      DAXINST2 IMG02BB6 *   IBM OS/2 Warp DAPIE Installation disk 2
